package org.example

import org.example.data.authorize
import org.example.data.registration
import org.example.data.users
import org.example.domain.request.UserAuthorizeRequest
import org.example.domain.request.UserRegistrationRequest

fun main() {
    users.forEach {
        println(it)
    }
    val email = readlnOrNull()
    val lastname = readlnOrNull()
    val password = readlnOrNull()
    checkNotNull(email)
    checkNotNull(lastname)
    checkNotNull(password)
    val user = registration(UserRegistrationRequest(lastname, email, password))
    println(user)
    users.forEach {
        println(it)
    }
}
